Bug 137654 - EDITING Autofill with userlist items in reversed order does not work
Summary: EDITING Autofill with userlist items in reversed order does not work
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: AutoFill
  Show dependency treegraph
 
Reported: 2020-10-21 14:09 UTC by NISZ LibreOffice Team
Modified: 2020-12-30 10:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Calc (12.44 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-10-21 14:09 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Calc (35.51 KB, image/png)
2020-10-21 14:10 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-10-21 14:09:52 UTC
Created attachment 166585 [details]
Example file from Calc

Calc can autofill cells with items in user lists but only if these are in ascending/ order.
Excel however can autofill cells with user list items if they are in reversed order so so migrating users can expect this feature from Calc too.


Steps to reproduce:
    1. Open attached file
    2. The range A2:C2 contains month names in reversed order from December. This range was selected and autofilled to the D2:G2 range. New values are in increasing order and start from October in C2.
    3. The range A3:C3 contains month names in reversed order from December with a 2 month gap between them. This range was selected and autofilled to the D3:G3 range. New values are in increasing order and start from July in C3.
    4. The same source lists are copied to A5:C5 and A6:C6 ranges and D5:G5 / D6:G6 ranges demonstrate the expected result, i.e. what Excel would do in a similar setup.

Actual results:
As above.

Expected results:
Calc should detect user list items in reversed order when autofilling with two or more selected cells and apply user list items according to the difference between items position found in the selected cells.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: e0c72e31c1d455c26110c35e8780d420e17cdea6
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-10-21 14:10:16 UTC
Created attachment 166586 [details]
Screenshot of the problem in Calc
Comment 2 NISZ LibreOffice Team 2020-11-12 09:07:28 UTC
This is supposed to be solved by:

Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d64bd977a430182826252695f041a6ddd62e45ef

tdf#137653 tdf#137624 sc: fix autofill user list sequences

It will be available in 7.1.0.
Comment 3 NISZ LibreOffice Team 2020-12-30 10:10:30 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 368c56144aab5794c39d5bc2082d9b3d6d7cebdb
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

Thanks for fixing!